Skip to main content

Unlock Device

Unlock Device API will unlock the user device based on the provided DeviceID.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/devices/{deviceid}/unlock

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_device/{deviceid}/unlock
note

At this moment, this API is applicable only for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataBooleantrue - when device is locked, false - when device is already locked, null - when device does not exist.

Sample Response​

{
"subSystem": 6,
"status": "OK",
"message": "Device unlocked successfully.",
"data": true
}

Response Status Information​

Status CodeStatusMessage
200OKDevice unlocked successfully
400BAD_REQUESTDeviceID should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404DEVICE_NOT_FOUNDDevice does not exist
409CONFLICTDevice already unlocked